Subject: Re: linux-next: Tree for Mar 14 (mips qemu failure bisected)

From: Qais Yousef <[email-masked]>
Date: Wed, 16 Mar 2016 20:27:54 +0000

On 16/03/2016 13:22, Guenter Roeck wrote:
> On Tue, Mar 15, 2016 at 05:17:13PM -0700, Guenter Roeck wrote:
>> On Tue, Mar 15, 2016 at 09:55:06PM +0000, Qais Yousef wrote:
>>> Hi Guenter,
>>>
> [ ... ]
>>>>> Qemu test results:
>>>>> 	total: 96 pass: 69 fail: 27
>>>>> Failed tests:
>>>> [ ... ]
>>>>> 	mips:mips_malta_smp_defconfig
>>>> I bisected this failure to commit bb11cff327e54 ("MIPS: Make smp CMP, CPS and MT
>>>> use the new generic IPI functions". Bisect log is attached.
>>> Thanks for bisecting this. I tested this on a real Malta system but not
>>> qemu. I'll try to reproduce.
>>>
>> I run the tests with only a single CPU core enabled. Maybe that causes
>> problems with your code ?
>>
> I ran another qemu test (this time on mainline) with "-smp 2", but the only
> difference is that the image now gets stuck even earlier.
>
> Also, I ran another set of bisects, this time with both mips and mips64
> on mainline (after your patch landed), with the same results.
>
> Guenter
>

OK thanks for the info. The offending commit just enables using quite a 
few of the newly added code before that. So the problem could be in any 
of the newly added code.

Unfortunately I can only look at this during my limited time in the 
evening and I have to setup my system to compile and run this, so I 
won't be able to get to the bottom of this as fast as I'd like to.

Qais